Bug 110356 - install_megadrivers.py creates new dangling symlink [bisected]
Summary: install_megadrivers.py creates new dangling symlink [bisected]
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Eric Engestrom
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-08 14:35 UTC by Mike Lothian
Modified: 2019-04-25 18:08 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2019-04-08 14:35:13 UTC
Before aa7afe324c2092fb31f9498cb3eda47dda96e6f2

lrwxrwxrwx   1 root root      19 Feb 23 17:02 libvdpau_va_gl.so -> libvdpau_va_gl.so.1
-rwxr-xr-x   1 root root  126136 Feb 23 17:02 libvdpau_va_gl.so.1
lrwxrwxrwx   1 root root      23 Mar  1 09:30 libvdpau_trace.so.1 -> libvdpau_trace.so.1.0.0
lrwxrwxrwx   1 root root      23 Mar  1 09:30 libvdpau_trace.so -> libvdpau_trace.so.1.0.0
-rwxr-xr-x   1 root root   59264 Mar  1 09:30 libvdpau_trace.so.1.0.0
lrwxrwxrwx   1 root root      26 Apr  8 15:23 libvdpau_radeonsi.so.1.0 -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx   1 root root      26 Apr  8 15:23 libvdpau_radeonsi.so.1 -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx   1 root root      26 Apr  8 15:23 libvdpau_radeonsi.so -> libvdpau_radeonsi.so.1.0.0
-rwxr-xr-x   1 root root 5264216 Apr  8 15:23 libvdpau_radeonsi.so.1.0.0


After aa7afe324c2092fb31f9498cb3eda47dda96e6f2

lrwxrwxrwx   1 root root      19 Feb 23 17:02 libvdpau_va_gl.so -> libvdpau_va_gl.so.1
-rwxr-xr-x   1 root root  126136 Feb 23 17:02 libvdpau_va_gl.so.1
lrwxrwxrwx   1 root root      23 Mar  1 09:30 libvdpau_trace.so.1 -> libvdpau_trace.so.1.0.0
lrwxrwxrwx   1 root root      23 Mar  1 09:30 libvdpau_trace.so -> libvdpau_trace.so.1.0.0
-rwxr-xr-x   1 root root   59264 Mar  1 09:30 libvdpau_trace.so.1.0.0

lrwxrwxrwx   1 root root      25 Apr  8 15:31 libvdpau_gallium.so -> libvdpau_gallium.so.1.0.0 ******

lrwxrwxrwx   1 root root      26 Apr  8 15:31 libvdpau_radeonsi.so.1.0 -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx   1 root root      26 Apr  8 15:31 libvdpau_radeonsi.so.1 -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx   1 root root      26 Apr  8 15:31 libvdpau_radeonsi.so -> libvdpau_radeonsi.so.1.0.0
-rwxr-xr-x   1 root root 5264216 Apr  8 15:31 libvdpau_radeonsi.so.1.0.0

It seems there is now a link from libvdpau_gallium.so to a non-existent libvdpau_gallium.so.1.0.0
Comment 1 Eric Engestrom 2019-04-09 06:51:20 UTC
Thanks for the report!
I expect libmesa_dri_drivers, libgallium_dri, libva_gallium, and libxvmc_gallium all have the same issue as well.

I'll add a check in bin/install_megadrivers.py to basically delete `${master}.*`
Comment 2 Eric Engestrom 2019-04-09 08:34:32 UTC
Should be fixed by https://gitlab.freedesktop.org/mesa/mesa/merge_requests/608

Could you give it a try?
Comment 3 Mike Lothian 2019-04-09 09:05:29 UTC
Yes that fixes it
Comment 4 Eric Engestrom 2019-04-24 13:58:39 UTC
Fixed by:

commit c77acc3ceba711ec3790fb674aeb8c6a25433741
Author: Eric Engestrom <eric.engestrom@intel.com>
Date:   Tue Apr 9 09:28:17 2019 +0100

    meson: remove meson-created megadrivers symlinks
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110356
    Fixes: aa7afe324c2092fb31f9 "meson: strip rpath from megadrivers"
    Signed-off-by: Eric Engestrom <eric.engestrom@intel.com>
    Tested-by: Mike Lothian <mike@fireburn.co.uk>
    Reviewed-by: Eric Anholt <eric@anholt.net>
Comment 5 Fabio Pedretti 2019-04-25 18:08:35 UTC
Any plan to backport these (up to 5d310015) to 18.3 (I know it is EOL) and release a 18.3.7?

See Debian bug https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=926857


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.